Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.annotations
Class Util

    java.lang.Object
      org.eclipse.jetty.annotations.Util

    public class Util

extends java.lang.Object

Util

Constructor Summary
`Util()`

Method Summary
`static java.lang.String` | `asCanonicalName(org.objectweb.asm.Type t)`
`static java.lang.Class` | `convertType(org.objectweb.asm.Type t)`
`static java.lang.Class[]` | `convertTypes(java.lang.String params)`
`static java.lang.Class[]` | `convertTypes(org.objectweb.asm.Type[] types)`
`static boolean` | `isEnvEntryType(java.lang.Class type)`
`static boolean` | `isEnvEntryType(java.lang.String desc)`
`static boolean` | `isServletType(java.lang.Class c)` Check if the presented method belongs to a class that is one of the classes with which a servlet container should be concerned.
`static java.lang.String` | `normalizePattern(java.lang.String p)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Util

    public Util()

Method Detail

### isServletType

    public static boolean isServletType(java.lang.Class c)

  Check if the presented method belongs to a class that is one of the classes with which a servlet container should be concerned.

  Parameters:
    `c` -
  Returns:
    true if class is a type of one of the following: (`Servlet`, `Filter`, `ServletContextListener`, `ServletContextAttributeListener`, `ServletRequestListener`, `ServletRequestAttributeListener`, `HttpSessionListener`, `HttpSessionAttributeListener`)

### isEnvEntryType

    public static boolean isEnvEntryType(java.lang.Class type)

### isEnvEntryType

    public static boolean isEnvEntryType(java.lang.String desc)

### normalizePattern

    public static java.lang.String normalizePattern(java.lang.String p)

### convertTypes

    public static java.lang.Class[] convertTypes(java.lang.String params)
                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### convertTypes

    public static java.lang.Class[] convertTypes(org.objectweb.asm.Type[] types)
                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### convertType

    public static java.lang.Class convertType(org.objectweb.asm.Type t)
                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### asCanonicalName

    public static java.lang.String asCanonicalName(org.objectweb.asm.Type t)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.